<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 12/11/15
 * Time: 1:08 AM
 */

namespace App\Http\Controller;


use App\Http\Business\OtherBusiness;
use Luticate\Utils\LuBusiness;
use Luticate\Utils\LuController;

class OtherController extends LuController
{
    /**
     * @return LuBusiness
     */
    protected function getBusiness()
    {
        return new OtherBusiness();
    }

    public function configApp($name = "", $domain = "", $username = "", $password = "", $https = "true")
    {
        $config = [
            "Name" => strval($name),
            "Domain" => strval($domain),
            "Username" => strval($username),
            "Password" => strval($password),
            "Https" => ($https == "true")
        ];
        header("Location: camotion://autoconfig/?config=" . urlencode(json_encode($config)));
        http_response_code(301);
        exit;
    }
}