--
-- PostgreSQL database dump
--
--
-- Data for Name: camera_types; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO camera_types VALUES (3, 'Trendnet TV-IP311PI', 'App\Http\Business\Cameras\Trendnet\TVIP311PI', '{"Host": "http://camX.example.com","Port":6080, "Username": "user", "Password": "PA$$W0RD"}');
INSERT INTO camera_types VALUES (1, 'Dummy', '\App\Http\Business\Cameras\DummyCamera', '{}');


--
-- Name: camera_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('camera_types_id_seq', 3, true);


--
-- Data for Name: hosts; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO hosts VALUES (9, 'Test.', 'http://backend.camotion.local/', '');


--
-- Data for Name: cameras; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO cameras VALUES (9, 'Test.', 'Test. description', 9, 1, '{}');
INSERT INTO cameras VALUES (6, 'Test.2', 'Test.2 description', 9, 1, '{}');
INSERT INTO cameras VALUES (7, 'Test.3', 'Test.3 description', 9, 1, '{}');
INSERT INTO cameras VALUES (8, 'Test.4', 'Test.4 description', 9, 1, '{}');


--
-- Name: cameras_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('cameras_id_seq', 11, true);


--
-- Data for Name: command_types; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO command_types VALUES (1, 'Dummy command', 'App\Http\Business\Commands\DummyCommand', '{"Success": true}');
INSERT INTO command_types VALUES (2, 'Wake on LAN', 'App\Http\Business\Commands\WakeOnLanCommand', '{"IP": "255.255.255.255", "Port": 9, "MACs": ["ff:ff:ff:ff:ff:ff"]}');
INSERT INTO command_types VALUES (3, 'PiFace Digital', 'App\Http\Business\Commands\PiFaceCommand', '{"Commands":["device=0","up=0", "sleep=500", "down=0"]}');


--
-- Name: command_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('command_types_id_seq', 3, true);


--
-- Data for Name: commands; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO commands VALUES (1, 'Dummy command', 'Command that will fail', 9, 1, '{"Success":false}');
INSERT INTO commands VALUES (2, 'Dummy command 2', 'Command that will succeed', 9, 1, '{"Success":true}');


--
-- Name: commands_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('commands_id_seq', 4, true);


--
-- Name: hosts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('hosts_id_seq', 10, true);


--
-- Data for Name: luticate_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_groups VALUES (0, 'Super Administrators');
INSERT INTO luticate_groups VALUES (1, 'Administrators');
INSERT INTO luticate_groups VALUES (3, 'Cameras');
INSERT INTO luticate_groups VALUES (4, 'Sensors');
INSERT INTO luticate_groups VALUES (5, 'Commands');


--
-- Name: luticate_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('luticate_groups_id_seq', 5, true);


--
-- Data for Name: luticate_permissions; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_permissions VALUES ('LU_USER_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_SET_PASSWORD', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_LOGIN', true);
INSERT INTO luticate_permissions VALUES ('LU_USER_EDIT_ME', true);
INSERT INTO luticate_permissions VALUES ('LU_USER_SET_PASSWORD_ME', true);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_USER_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_USER_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_EFFECTIVE_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_GET', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_HOST_ADD', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_HOST_DEL', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_HOST_EDIT', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_COMMAND_ADD', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_COMMAND_DEL', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_COMMAND_EDIT', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_SENSOR_ADD', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_SENSOR_DEL', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_SENSOR_EDIT', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_CAMERA_ADD', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_CAMERA_DEL', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_CAMERA_EDIT', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_SENSOR_EXEC', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_SENSOR_GET', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_CAMERA_EXEC', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_CAMERA_GET', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_COMMAND_EXEC', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_COMMAND_GET', false);
INSERT INTO luticate_permissions VALUES ('CAMOTION_HOST_GET', false);


--
-- Data for Name: luticate_permissions_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EFFECTIVE_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT_ME', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_LOGIN', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD_ME', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EFFECTIVE_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT_ME', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_LOGIN', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD_ME', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_ADD', false, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EDIT', false, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_DEL', false, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_EXEC', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_EXEC', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_EXEC', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_EXEC', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_EXEC', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_HOST_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_EXEC', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_GET', true, 3);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_CAMERA_EXEC', true, 3);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_GET', true, 4);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_SENSOR_EXEC', true, 4);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_GET', true, 5);
INSERT INTO luticate_permissions_groups VALUES ('CAMOTION_COMMAND_EXEC', true, 5);


--
-- Data for Name: luticate_users; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_users VALUES (0, 'anonymous', 'anonymous@example.com', '', '', NULL, 'anonymous', 'anonymous');
INSERT INTO luticate_users VALUES (1, 'root', 'root@example.com', '$2y$10$m1aN1a1ZEr1vmjFPfWl4Pu/63EhcxVCrC/DF0DFhdGbvORwtJtCmy', 'szHKcDk5v1', NULL, 'root', 'root');
INSERT INTO luticate_users VALUES (4, 'user', 'uesr@example.com', '$2y$10$3aoyf68xWuL4/Rop1lAYDOaBTWeFyvX8H.lYBSZRH9HIwaFxhimDG', 'OqSvWHcjAB', NULL, 'User', 'User');


--
-- Data for Name: luticate_permissions_users; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_USER_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_USER_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_EFFECTIVE_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_EDIT_ME', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_SET_PASSWORD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_SET_PASSWORD_ME', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_LOGIN', true, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_COMMAND_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_COMMAND_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_COMMAND_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_COMMAND_EXEC', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_COMMAND_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_SENSOR_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_SENSOR_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_SENSOR_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_SENSOR_EXEC', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_SENSOR_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_HOST_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_HOST_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_HOST_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_HOST_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_CAMERA_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_CAMERA_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_CAMERA_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_CAMERA_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('CAMOTION_CAMERA_EXEC', false, 0);


--
-- Data for Name: luticate_users_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_users_groups VALUES (1, 0);
INSERT INTO luticate_users_groups VALUES (4, 3);
INSERT INTO luticate_users_groups VALUES (4, 5);
INSERT INTO luticate_users_groups VALUES (4, 4);


--
-- Name: luticate_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('luticate_users_id_seq', 4, true);


--
-- Data for Name: sensor_types; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO sensor_types VALUES (1, 'Dummy Sensor', 'App\Http\Business\Sensors\DummySensor', '{"Minimum": 0, "Maximum": 42}');
INSERT INTO sensor_types VALUES (2, 'PiFace Digital', 'App\Http\Business\Sensors\PiFaceSensor', '{"Device": 0, "Pin":0, "True": "Openned", "False": "Closed"}');


--
-- Name: sensor_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('sensor_types_id_seq', 3, true);


--
-- Data for Name: sensors; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO sensors VALUES (6, 'Dummy sensor', 'Get a random value', 9, 1, '{"Minimum":0,"Maximum":42}');
INSERT INTO sensors VALUES (7, 'Dummy sensor 2', 'Get a negative random value', 9, 1, '{"Minimum":-42,"Maximum":0}');


--
-- Name: sensors_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('sensors_id_seq', 7, true);


--
-- PostgreSQL database dump complete
--
